\documentclass[preview,border={0pt 0pt 0pt 50pt}, varwidth=20cm]{standalone}  
\usepackage[labelfont=normalsize,labelformat=parens,justification=centering]{caption,subfig} 
\usepackage{pgfplots}       % <-- required in preamble
\usepackage{amssymb}
\pgfplotsset{compat=newest} % <-- optional in preamble
%\usepackage{amsmath}
\newcommand{\paver}[1]{ \overline{ {#1} } }
\usetikzlibrary {backgrounds}
\usetikzlibrary{intersections}
%\usetikzlibrary{calc}
%\usepackage{pgfplotstable}
%\usepackage[utf8x]{inputenc}
%\usepackage{amsmath}
%\usepackage{graphicx}
%\usepackage{tabularx}
%\usepackage{tikz}
\usepgfplotslibrary{fillbetween}
\tikzset{My Style/.style={samples=1000, thick}}

\pgfplotsset{every axis/.append style={font=\LARGE}}
\pgfplotsset{every tick label/.append style={font=\LARGE}}

%\pgfplotsset{error bars/.cd,
%    y dir=both, y explicit,
%    }



\begin{document}
	\begin{tikzpicture}
	\definecolor{green1}{RGB}{76.8,204.8,76.8}
	\definecolor{blue(ryb)}{rgb}{0.01, 0.28, 1.0}
	\definecolor{green1}{RGB}{36.8,234.8,46.8}
	\definecolor{green2}{RGB}{10.8,114.8,10.8}
	\definecolor{blue2}{RGB}{6.8,6.8,254.8}
	\definecolor{azure(colorwheel)}{rgb}{0.0, 0.5, 1.0}
	\definecolor{purple1}{RGB}{226.8,46.8,84.8}
	\definecolor{purple2}{RGB}{96.8,6.8,74.8}
	\definecolor{color1}{rgb}{1,0,0} % rosso
	\definecolor{color2}{rgb}{1.1,0.15,0}
	\definecolor{color3}{rgb}{1,0.3,0}
	\definecolor{color4}{rgb}{1,0.5,0} % arancione
	\definecolor{color5}{rgb}{1,0.6,0}
	\definecolor{color6}{rgb}{0.8,0.8,0} % giallo
	\definecolor{color7}{rgb}{0.7,1,0}
	\definecolor{color8}{rgb}{0.2,1,0}
	\definecolor{color9}{rgb}{0,1,0} % verde
	\definecolor{color10}{rgb}{0,1.2,0.3}
	\definecolor{color11}{rgb}{0,1,1}
	\definecolor{color12}{rgb}{0,0.5,1}
	\definecolor{color13}{rgb}{0,0.3,1.2}
	\definecolor{color14}{rgb}{0,0,1} % blu
	\def\sp{16}
	\begin{axis}[%
	grid=both,
	width=0.8*\textwidth,
	height=0.8*\textwidth,
	axis equal,
	/pgf/number format/.cd,
	1000 sep={},
	%%scale only axis,
	%xmin=-\sp*0.5, xmax=\sp*1.5, ymin=-1.732/4*\sp, ymax=1.732/4*3*\sp,
	%%xmin=0, %xmax=\sp, %ymin=-1.732/4*\sp, %ymax=0.75*\sp,
	%xtick={0,\sp*0.25,\sp*0.5,\sp*0.75,\sp},
	%%xtick={0,5,10,15},
	%ytick={-\sp*0.5,-\sp*0.25,0,\sp*0.25,\sp*0.5,\sp*0.75,\sp,\sp*1.25},
	%%ytick={-4.48,-3.71,-2.94784,-2.18175,-1.41566,-0.649,0.1165,0.883,1.648,2.415,3.181,3.947,4.71,5.479,6.247,7.02},
	xlabel=$y^+$,
	ylabel=$z^+$,
	%ylabel style={rotate=-90},
	yticklabel style={
		/pgf/number format/fixed,
		/pgf/number format/precision=5
	},
	axis background/.style={fill=white},
	legend style={nodes={scale=0.9, transform shape}, at={(0.114,0.15)}, anchor=west, legend cell align=left, align=left, fill=white}
	]
	
	
	%\addplot[color=black,draw=none,mark=*,mark options={scale=1.5,black,fill=color12}] table[x index=0,y index=1] {
	%	100 0
	%};
	
	%\addplot[color=black,draw=none,mark=*,mark options={scale=1.5,black,fill=red}] table[x index=0,y index=1] {
	%	100 0
	%};

	%spacing=2;
	
	\draw[scale=1, domain=-\sp*0.5:0, line width=1pt, smooth, variable=\x, black] plot ({\x}, {-1.732*\x-1.732/4*\sp});
	
	\draw[scale=1, domain=0:\sp*0.5, line width=1pt, smooth, variable=\x, black] plot ({\x}, {1.732*\x-1.732/4*\sp});
	
	\draw[scale=1, domain=\sp*0.5:\sp, line width=1pt, smooth, variable=\x, black] plot ({\x}, {-1.732*\x+3*1.732/4*\sp});
	
	\draw[scale=1, domain=\sp:\sp*1.5, line width=1pt, smooth, variable=\x, black] plot ({\x}, {1.732*\x-5*1.732/4*\sp});
	
	\addplot[color=black,draw=none,mark=*,mark options={scale=1.5,black,fill=black},nodes near coords={$\pgfmathprintnumber[fixed]\ivalue$},visualization depends on={\thisrow{imbc} \as \ivalue},font=\scriptsize] table {../analyticalSol/postProc/s+16/vimbc_old.txt};
	
	%
	%[x index=0,y index=1,meta index=2]
	
	%\coordinate (center) at (axis cs:\sp*0.5,1.732/4*\sp);
	
	\draw[scale=1, domain=\sp*0.5-2:\sp*0.5+2, My Style, variable=\x, red] plot ({\x}, {+sqrt(4-(\x-0.5*\sp)^2)+1.732/4*\sp});
	\draw[scale=1, domain=\sp*0.5-2:\sp*0.5+2, My Style, variable=\x, red] plot ({\x}, {-sqrt(4-(\x-0.5*\sp)^2)+1.732/4*\sp});
	
	%\addplot [domain=\sp*0.5-2:\sp*0.5+2, My Style, red] {sqrt(4-(x-1)^2)+1.732/4*\sp};
	%\addplot [domain=\sp*0.5-2:\sp*0.5+2, My Style, red] {-sqrt(4-(x-1)^2)+1.732/4*\sp};
	%\filldraw[draw=red,fill=none,line width=1pt]  (center) circle(2);
	%\draw (axis cs: ) circle [radius=2];
	%\draw(axis:8,6.928) circle[blue, radius=2];
	
	\end{axis}
	
	%\filldraw[draw=red,fill=none,line width=1pt]  (center) circle(2);
	
	\end{tikzpicture}
	
	\vspace{2cm}
	
	\begin{tikzpicture}
	\definecolor{green1}{RGB}{76.8,204.8,76.8}
	\definecolor{blue(ryb)}{rgb}{0.01, 0.28, 1.0}
	\definecolor{green1}{RGB}{36.8,234.8,46.8}
	\definecolor{green2}{RGB}{10.8,114.8,10.8}
	\definecolor{blue2}{RGB}{6.8,6.8,254.8}
	\definecolor{azure(colorwheel)}{rgb}{0.0, 0.5, 1.0}
	\definecolor{purple1}{RGB}{226.8,46.8,84.8}
	\definecolor{purple2}{RGB}{96.8,6.8,74.8}
	\definecolor{color1}{rgb}{1,0,0} % rosso
	\definecolor{color2}{rgb}{1.1,0.15,0}
	\definecolor{color3}{rgb}{1,0.3,0}
	\definecolor{color4}{rgb}{1,0.5,0} % arancione
	\definecolor{color5}{rgb}{1,0.6,0}
	\definecolor{color6}{rgb}{0.8,0.8,0} % giallo
	\definecolor{color7}{rgb}{0.7,1,0}
	\definecolor{color8}{rgb}{0.2,1,0}
	\definecolor{color9}{rgb}{0,1,0} % verde
	\definecolor{color10}{rgb}{0,1.2,0.3}
	\definecolor{color11}{rgb}{0,1,1}
	\definecolor{color12}{rgb}{0,0.5,1}
	\definecolor{color13}{rgb}{0,0.3,1.2}
	\definecolor{color14}{rgb}{0,0,1} % blu
	\def\sp{2}
	\begin{axis}[%
	grid=both,
	width=0.8*\textwidth,
	height=0.8*\textwidth,
	axis equal,
	/pgf/number format/.cd,
	1000 sep={},
	%xmin=-\sp*0.5, xmax=\sp*1.5, ymin=-1.732/4*\sp, ymax=1.732/4*3*\sp,
	%%xmin=0, %xmax=\sp, %ymin=-1.732/4*\sp, %ymax=0.75*\sp,
	%xtick={0,\sp*0.25,\sp*0.5,\sp*0.75,\sp},
	%%xtick={0,5,10,15},
	%ytick={-\sp*0.5,-\sp*0.25,0,\sp*0.25,\sp*0.5,\sp*0.75,\sp,\sp*1.25},
	xlabel=$y^+$,
	ylabel=$z^+$,
	%ylabel style={rotate=-90},
	yticklabel style={
		/pgf/number format/fixed,
		/pgf/number format/precision=5
	},
	axis background/.style={fill=white},
	legend style={nodes={scale=0.9, transform shape}, at={(0.114,0.15)}, anchor=west, legend cell align=left, align=left, fill=white}
	]
	
	
	%\addplot[color=black,draw=none,mark=*,mark options={scale=1.5,black,fill=color12}] table[x index=0,y index=1] {
	%	100 0
	%};
	
	%\addplot[color=black,draw=none,mark=*,mark options={scale=1.5,black,fill=red}] table[x index=0,y index=1] {
	%	100 0
	%};
	
	\draw[scale=1, domain=-\sp*0.5:0, line width=1pt, smooth, variable=\x, black] plot ({\x}, {-1.732*\x-1.732/4*\sp});
	
	\draw[scale=1, domain=0:\sp*0.5, line width=1pt, smooth, variable=\x, black] plot ({\x}, {1.732*\x-1.732/4*\sp});
	
	\draw[scale=1, domain=\sp*0.5:\sp, line width=1pt, smooth, variable=\x, black] plot ({\x}, {-1.732*\x+3*1.732/4*\sp});
	
	\draw[scale=1, domain=\sp:\sp*1.5, line width=1pt, smooth, variable=\x, black] plot ({\x}, {1.732*\x-5*1.732/4*\sp});
	
	\addplot[color=black,draw=none,mark=*,mark options={scale=1.5,black,fill=black},nodes near coords={$\pgfmathprintnumber[fixed]\ivalue$},visualization depends on={\thisrow{imbc} \as \ivalue},font=\scriptsize] table {./postProc/s+16/vimbc_num.txt};
	
	%
	%[x index=0,y index=1,meta index=2]
	
	%\coordinate (center) at (axis cs:\sp*0.5,1.732/4*\sp);
	%\filldraw[draw=red,fill=none,line width=1pt]  (center) circle(2);
	%\draw (axis cs: ) circle [radius=2];
	%\draw(axis:8,6.928) circle[blue, radius=2];
	
	%\addplot [domain=\sp*0.5-2:\sp*0.5+2, My Style, red] {sqrt(4-(x-1)^2)+1.732/4*\sp};
	%\addplot [domain=\sp*0.5-2:\sp*0.5+2, My Style, red] {-sqrt(4-(x-1)^2)+1.732/4*\sp};
	
	\draw[scale=1, domain=\sp*0.5-2:\sp*0.5+2, My Style, variable=\x, red] plot ({\x}, {+sqrt(4-(\x-0.5*\sp)^2)+1.732/4*\sp});
	\draw[scale=1, domain=\sp*0.5-2:\sp*0.5+2, My Style, variable=\x, red] plot ({\x}, {-sqrt(4-(\x-0.5*\sp)^2)+1.732/4*\sp});
	
	\end{axis}
	
	%\filldraw[draw=red,fill=none,line width=1pt]  (center) circle(8);
	%\draw (axis cs: 1, 0.5) circle [radius=1cm];

	
	\end{tikzpicture}
\end{document}
